# Set Custom Attribute

Edits the value of a custom attribute for a specified library, attribute, and context.

Endpoint: PUT /api/v2.0/projects/{projectToken}/libraries/{libraryUuid}/customAttributes/{attributeUuid}/value
Version: 2.0
Security: bearer-key

## Path parameters:

  - `projectToken` (string, required)
    product UUID (by running Entities - Organization > Get Organization Products) or Product Token (from the Mend SCA App: Integrate tab > Product Token).

  - `libraryUuid` (string, required)
    library UUID (get a project's library by running Library - Project > Get Project Libraries.

  - `attributeUuid` (string, required)
    Custom Attribute UUID

## Request fields (application/json):

  - `value` (string)
    Example: "Custom attribute value"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.message` (string)
    Example: "Success!"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


